//CALENDAR

var Schedule = {

    // JSON results for show dates and times will be stored here
    Times : null,
    Avail : null,

    // Get JSON file, call appropriate parsing function after
    Fetch : function (source, callback) {
        jQuery.getJSON (source, function (data) {

            // Format dates if Ticketmaster calendar
            if (data.contents) {
                Schedule.Times = data.contents;
                for (key in Schedule.Times) {
                    var thisKey = Schedule.Times[key].event_SEO_name;
                    if(thisKey){
                      var thisDate = thisKey.slice(-10).split ("-");
                      Schedule.Times[key].date = thisDate [2] + '-' + thisDate [0] + '-' + thisDate [1];
                    }
                }
            } else {
                Schedule.Times = data;
            }
            callback ();
        });
    },


    // Initalize calendar in container, pass it parsed events list array with
    // ticket links
    Populate : function (container, eventslist) {

        // Figure out first and last performances
        var maxdate = new Date (Schedule.Times [Schedule.Times.length - 1].date);
        var mindate;
        if (new Date (Schedule.Times [0].date) >= new Date ()) {
            mindate = new Date (Schedule.Times [0].date);
        } else {
            mindate = new Date ();
        }

        for (var i = 0; i < eventslist.length; i++) {

          var eventDate = "." + eventslist[i].start.slice(-10);
          var eventTime = eventslist[i].title;
          var typeShow = eventslist[i].className;
          var showAvail = eventslist[i].avail;
          var showHighlight = eventslist[i].highlight;
          var eventInfo = "<span class='event num" + (i + 1) + " " + typeShow + " " + showAvail + "'><a class='showlink " + showHighlight + "' target='blank' data-showdate='" + eventslist[i].cleanDate + "' data-showtime='" + eventTime + "' href='"+ eventslist[i].url +"'>" + eventTime + "</a></span>";
          jQuery('.month').find(eventDate).append(eventInfo);
        }

    },

    // HUDSON THEATER LINK PULL
      Telecharge : function (container) {
          var eventslist = [];

          //Date fix
          var calDate = new Date();
          calDate.setDate(calDate.getDate() - 1);

          //console.log(Schedule.Times);

          for (var i = 0; i < Schedule.Times.length; i++) {
              var dateformatted = (Schedule.Times [i].date).split ("-");
              dateformatted = dateformatted [1] + '/' + dateformatted [2] + '/' + dateformatted [0];

              var timeformatted = Schedule.Times [i].showtime;

              if (calDate <= new Date (Schedule.Times [i].date)) {
                  eventslist.push ({
                      start : Schedule.Times [i].date,
                      url : Schedule.Times [i].url,
                      title : Schedule.Times [i].showtime,
                      highlight: Schedule.Times [i].highlight,
                      cleanDate : dateformatted
                  });
              }
          }
          Schedule.Populate (container, eventslist);
      }
    };


$(document).ready(function(){
  var months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

  // get today's date
  var d = new Date();
  var m = d.getMonth();
  var y = d.getFullYear();
  var ind = 1; // starting index number (for select operations)
  var numMonths = 2; // number of months to be generated

  var calText = "";
  document.getElementById("cal").innerHTML = calText;

  for (var i = 0; i < numMonths; i++) {

    var numDays = daysInMonth(m+1,y);

    var first = new Date(y,m,1);

    var frontpad = first.getDay();
    var afterpad = (7 - ((frontpad + numDays) % 7)) % 7;

    calText = "<div class=\"month cal-mon-" + m + "\">";

    calText += "<div class=\"hed\"><div class=\"cal-prev\"><i class=\"fas fa-angle-left\"></i></div><div class=\"cal-next\"><i class=\"fas fa-angle-right\"></i></div><div class=\"month-wrap\"><h3 class='bg-line'><span>" + months[m] + " " + y + "</span></h3></div></div><div class=\"month-box\"><div class=\"dow-row clearfix\"><div class=\"hed-day\">SUN</div><div class=\"hed-day\">MON</div><div class=\"hed-day\">TUE</div><div class=\"hed-day\">WED</div><div class=\"hed-day\">THU</div><div class=\"hed-day\">FRI</div><div class=\"hed-day\">SAT</div></div>";
    for (var j = 1; j <= frontpad; j++) {
      calText += "<div class=\"day blank-day box-" + j +" \"></div>";
    }

    for (var j = 1; j <= numDays; j++) {
      if (m < 9) {
        if (j <= 9) {
           var thisDate = y + "-" +  "0" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  "0" + (m+1) + "-" + j;
        }
      } else {
        if (j <= 9) {
          var thisDate = y + "-" + (m+1) + "-0" + j;
        } else {
          var thisDate = y + "-" +  (m+1) + "-" + j;
        }
      }
      calText += "<div class=\"day active ed-"+thisDate+" "+thisDate+" ind"+ind+"\" data-date=\""+thisDate+"\" data-ind=\""+ind+"\"><span class=\"num\">" + j + "</span></div>";
      ind++;
    }

    for (var j = 1; j <= afterpad; j++){
      calText += "<div class=\"day blank-day btm-box-" + j +" \"></div>";
    }

    calText += "</div>";

    m++;

    if (m==12) {
      m = 0;
      y++;
    }

    document.getElementById("cal").innerHTML += calText;

    calText = "";

  }

  //Month is 1 based
  function daysInMonth(month,year) {
    return new Date(year, month, 0).getDate();
  }


    /* --- CAL FUNCTIONS --*/
    var curMonth = 1;
    var curDate = "";
    var numViewable = 1; // number of months that should be viewable at one time

    for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
      $(".month:nth-child("+i+")").addClass("active");
    }

    $(".cal-next, .cal-prev").click(function(e){

      e.preventDefault();

      $(".month").removeClass("active");

      if( $(this).hasClass("cal-next") ){

        curMonth++;
        if( curMonth == 2 ){ $(".cal-prev").show(); }
        if( (curMonth+numViewable-1) == $(".month").length ){ $(".cal-next").hide(); }
        if( curMonth == 1){ $('.cal.prev').hide(); }

      } else {

        curMonth--;
        if( curMonth == 1 ){ $(this).hide(); }
        if( (curMonth+numViewable-1) == ($(".month").length - 1) ){ $(".cal-next").show(); }
        if( curMonth == 1){ $('.cal.prev').hide(); }
      }

      for (i=curMonth;i<=(curMonth+numViewable-1);i++) {
        $(".month:nth-child("+i+")").addClass("active");
      }

    });


    Schedule.Fetch("./_data/schedule.json", function(){
      Schedule.Telecharge("#cal");
    });

    function adjustLink() {
      var numShows;
      $( ".day" ).each(function() {
        var numShows = $(this).children('span.event').length;
        if(numShows === 1) {
          $(this).children('.eve').addClass("oneShow");
          $(this).children('.mat').addClass("oneShow");
        } else if(numShows === 2){
          $(this).children('.eve').addClass("secShow");
          $(this).children('.mat').addClass("firShow");
        } else {
          $(this).addClass('noshow');
        }
      });
    }
    setTimeout(adjustLink, 500);


  });
