

<div id="faq-block">
  <a href="./" class="back">&#8592; Back</a>
  <h1>Frequently Asked Questions</h1>
  <p>Whether it's your first time joining us on Broadway, or it's been a while since you've experienced a live performance, we're here to help prepare you for a memorable theatrical event by answering a few frequently asked questions.</p>

  <div id="faq-accordion" class="accordion">
  <h3>Where is the theater? <span class="toggle">&plus;</span></h3>
  <div>
    <p>Hudson Theatre’s main entrance and Box Office are at <a href="https://goo.gl/maps/spxKhZaMwMitoHhw7" target="_blank">141 West 44th Street</a> (between Broadway & 6th Avenue).</p>
  </div>

  <h3>How early should I arrive? <span class="toggle">&plus;</span></h3>
  <div>
    <p>Arriving at least 30 minutes before the start of your performance will provide time to comfortably walk through security, see the <em>Salesman</em> art installation in the Lobby created by award-winning visual artist SHAN Wallace, and access your seat. Security at the door consists of bag checks and metal detectors. Get there even earlier to avoid lines and take in the beautifully ornate Tiffany Lobby inside Broadway’s oldest theater. </p>
  </div>

  <h3>What if I'm running late? <span class="toggle">&plus;</span></h3>
  <div>
    <p>The performance will begin promptly at your scheduled show time. If you arrive late, management will not seat you immediately; they’ll wait to bring you to your seat until moments in the show that are the least disruptive for the performers and audience members around you. </p>
  </div>

  <h3>How long is the show? Is there an intermission? <span class="toggle">&plus;</span></h3>
  <div>
    <p><em>Salesman</em> runs approximately 3 hours and 10 minutes, including one intermission. This intermission break lasts 15 minutes and occurs after the 75-minute-long Act 1. During intermission, feel free to use the bathroom, peruse the Playbill, or visit one of the full-service bars located in the Lobby and on the 2nd floor. During all of Act 1 and Act 2, please refrain from leaving your seat. If you leave your seat during an Act, management will wait to bring you back to your seat until moments in the show that are the least disruptive for the performers and audience members around you. </p>
  </div>

  <h3>How do I pick up will-call tickets? <span class="toggle">&plus;</span></h3>
  <div>
    <p>Will-call tickets are held at our Box Office. When you arrive at the theater, enter the lobby and visit the Box Office on your right, or ask any staff member for directions or assistance. Tickets may be picked up when you arrive or in advance during the Box Office’s business hours. To see the Box Office’s current business hours, <a href="https://www.thehudsonbroadway.com/plan-your-visit/box-office/" target="_blank">click here</a>. </p>

  </div>

  <h3>Can I bring the whole family? <span class="toggle">&plus;</span></h3>
  <div>
    <p>While <em>Salesman</em> is an American classic enjoyed by people of all ages, children under the age of 4 are unfortunately not permitted in the theater. To make the best choice for you and your family, know that this production contains references and allusions to adult thematic content. </p>
  </div>

  <h3>Are food and drinks allowed? <span class="toggle">&plus;</span></h3>
  <div>
    <p>Outside food and drinks are not allowed inside the theater. However, you can buy snacks, sodas, beer and wine, or even craft cocktails from the full-service bars located in the Lobby and on the 2nd floor. Feel free to take these concessions to your seat to make your experience as comfortable as possible. At Hudson Theatre, we use real glassware for drinks. After the show, drop off your used glassware at the Lobby bar on your way out the door. </p>
  </div>

  <h3>Is there a dress code? <span class="toggle">&plus;</span></h3>
  <div>
    <p>There's no dress code required for this production. In fact, we encourage you to come as you are. Be aware that older Broadway theaters tend to be on the colder side to help maintain their ornate interiors – and to provide ideal conditions for the feats of the actors in front of you. </p>
  </div>

  <h3>Is there a coat check? <span class="toggle">&plus;</span></h3>
  <div>
    <p>Yes, coat check is available in the lobby with a charge of $2 per item.</p>
  </div>

  <h3>Does the theater have a lost and found? <span class="toggle">&plus;</span></h3>
  <div>
    <p>The theater staff checks nightly for any items left behind. To inquire about a lost item, call 646-975-4620 to see if your item has been located and to schedule a visit to the Hudson Theatre’s Stage Door at 140 West 45th Street (between Broadway & 6th Avenue) to pick up your found item.</p>
  </div>

  <h3>Am I allowed to take photos or videos? <span class="toggle">&plus;</span></h3>
  <div>
    <p>We encourage you to take photos before or after the show and tag us using @Salesman_Bway on Twitter, @salesmanbroadway on Instagram or Facebook, and the hashtag #SalesmanOnBroadway on all platforms! But please be advised that taking photos and videos during the show is strictly forbidden. Be sure to capture photos with our commissioned artwork by SHAN Wallace in the lobby, or with our marquee as you enter or leave the Hudson Theatre. </p>
    <p>Cell phones and other electronic devices that omit sound must be turned off or switched to silent mode. Sounds and vibrations can be heard by the performers, disturbing the play and interrupting the experience of your fellow audience members. Turn off your electronic devices to let yourself be fully absorbed into the world of this <em>Death of a Salesman</em>. </p>
  </div>

  <h3>Do you offer rush tickets?  <span class="toggle">&plus;</span></h3>
  <div>
    <p>Every performance day at 9:00 a.m., a limited number of $35 tickets will be released on a first-come, first-served basis in the TodayTix app. There is a limit of two tickets per customer, and they are subject to availability. Learn more at TodayTix.com or by downloading the TodayTix app. </p>
  </div>


  <p class="enjoy">Enjoy the show! </p>

</div>
